Title of the dataset:
	PCLake+ files underlying the article Characterizing 19 thousand Chinese lakes, ponds and reservoirs by morphometric, climate and sediment characteristics.

Creators:
	A.B.G. Janssen

Contributors:
	A.B.G. Janssen

Related publication:
	Characterizing 19 thousand Chinese lakes, ponds and reservoirs by morphometric, climate and sediment characteristics
	https://doi.org/10.1016/j.watres.2021.117427

Description:
	This folder contains excel files of PCLake+ that follow the structure of the Database Approach To Modelling (DATM).
	DATM files are files to create unity in dynamical ecosystem modelling with differential equations. 
	In this approach, the storage of ecological knowledge is independent of the language and platform in which the model will be run. 
	DATM files contain all state variables, parameters and model equations and translators that can be used to run the model in the programming language of preference.
	With scripts at https://github.com/pcmodel the database can be automatically converted to various computer languages. (See for explanation the manual at Github)
	The application in this database is run in C++. All excel files with PCLake+ are based on version PL613162PLUS. 
	
Keywords:
	PCLake+

Spatial coverage:
	9 types of lakes based on lakes in Mainland China

Temporal coverage:
	1900-2000

This dataset contains the following files:

	Model code used for PCLake+ runs (version PL613162PLUS) and summary for figure 7. 
	or each lake type in Janssen et al. 2021, there is a PCLake+ file with parameter settings. The lake types are:
	1 PolymicticContinuousCold
	2 PolymicticContinuousWarm
	3 PolimicticDiscCold_zoom
	4 PolimicticDiscWarm
	5 Amictic
	6 MonomicticCold
	7 Dimictic
	8 MonomicticWarm
	
	For each lake type, there is at least 1 file, as indicated by the number related to the lake type followed by the name of the lake type. 
	For 3 lakes also a run is provided that zooms into the point of the critical nutrient load since the initial run was too coarse. These files are indicated by '_zoom' at the end.

	As a result, there are 12 files containing the PCLake+ runs.
	PL613162PLUS_210409_1_PolymicticContinuousCold.xlsx
	PL613162PLUS_210409_1_PolymicticContinuousCold_zoom.xlsx
	PL613162PLUS_210409_2_PolymicticContinuousWarm.xlsx
	PL613162PLUS_210409_3_PolimicticDiscCold.xlsx
	PL613162PLUS_210409_3_PolimicticDiscCold_zoom.xlsx
	PL613162PLUS_210409_4_PolimicticDiscWarm.xlsx
	PL613162PLUS_210409_5_Amictic.xlsx
	PL613162PLUS_210409_6_MonomicticCold.xlsx
	PL613162PLUS_210409_7_Dimictic.xlsx
	PL613162PLUS_210409_8_MonomicticWarm.xlsx
	PL613162PLUS_210409_9_Meromictic_zoom.xlsx

	and one file containing the summary of these files for figure 7:
	Figure7.xlsx
	
	Each PCLake+ file starts with PL613162PLUS and containes several sheets. The most important sheets are:
	1) control  	contains all buttons to compile, run and translate the model. Also first graphs of the model output can be seen
	2) states 		contains all (initial) state variables and their units and description
	3) parameters	contains all parameter settings used in the specific model run
	4) derivatives	contains all equations of the model
	5) bifurrep		contains the final bifurcation output (see bufurcation analysis in the underlying paper)
	Explanation on the other sheets is provided in the manual provided at https://github.com/pcmodel.
		
	Files starting with PL613162PLUS can only be run in combination with the model package that can be found at: https://github.com/pcmodel.
	All the files starting with PL613162PLUS are published under the GNU LESSER GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. See for mor information https://github.com/pcmodel. 
	Figure7.xlsx is published under the CC-BY licence.
	The model code, as well as the output of PCLake+, is stored in a database format in excel. 
	This structure follows the Database Approach Towards Modelling (DATM) and enables the user to run the model in the prefered programming language. 
	For more information on DATM see also https://doi.org/10.1016/j.envsoft.2014.04.004 and https://doi.org/10.1127/fal/2015/0631)
	After downloading the folders and files at Github, the model simulations provided here can be rerun by copying the excel files provided in this database to 
	"PCModel/Licence_agreement/I_accept/PCModel1350/PCModel/3.00/Frameworks/Osiris/3.01/PCLake_plus/"
	Thereafter the user needs to recompile the model using Rtools(see the button in the control sheet and explanation in the manual provided at Github).
	After compilation, the user can rerun the model.
	For PCLake, no technical support is provided.
